Single click in playlist switches to selected song, which doesn't allow to select multiple songs in the

playlist to move/remove them anymore

April 04, 2020 11:59 - Tom Tarson

Status: Closed Start date: April 04, 2020

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 4.0.1   

Affects version: 4.0   

Description

Single click in playlist switches to selected song, which doesn't allow to select multiple songs in the playlist to move/remove multiple

songs in the playlist at once.

Which commit actually introduced this change? I was trying to find this modification but I wasn't able to find it.

History

#1 - April 04, 2020 14:43 - John Lindgren

- Tracker changed from Bug to Support

- File single-click.png added

#2 - April 04, 2020 14:44 - John Lindgren

This is a Qt setting. For example, if you're using qt5ct, it's here:

 single-click.png 

#3 - April 04, 2020 16:32 - Tom Tarson

I recompiled audacious 4.0_beta1 which works with the same setting normally, a single clicks selects a song a double click plays it

Using qt5ct messes with my kde config and I afterwards have to double click in every app like dolphin (which shouldn't happen imo).

As this bug didn't exist in 4.0-beta1 i wonder which commit changed the behavior?

#4 - April 04, 2020 21:20 - Ariadne Conill

This issue did exist for me in 4.0-beta1 but I haven't had time to sort it out.  I suspect it is actually a KDE regression.

#5 - April 04, 2020 21:36 - Ariadne Conill

- Target version set to 4.0.1

- Status changed from New to In Progress

I added a workaround in qtui commit bd1b29fbf.  This will be backported to 4.0.1 release soon.

#6 - April 04, 2020 21:40 - Ariadne Conill

- Status changed from In Progress to Closed

Cherry-picked to 4.0.x branch.
#7 - April 04, 2020 21:57 - Tom Tarson

thank you very much, the fix works here

#8 - April 10, 2020 17:55 - Tom Tarson

After the update to qt 5.14.2 the bug is back and the songs get played instantly after I click on one song in the playlist instead of a double click
